classification
Title: code block has no syntax coloring
Type: behavior Stage:
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: later
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, georg.brandl, terry.reedy, wcyang
Priority: normal Keywords:

Created on 2010-10-22 13:37 by wcyang, last changed 2010-11-26 12:13 by georg.brandl. This issue is now closed.

Messages (3)
msg119382 - (view) Author: Winston C. Yang (wcyang) Date: 2010-10-22 13:37
The following code block in http://docs.python.org/tutorial/errors.html has no syntax coloring:

import sys

try:
    f = open('myfile.txt')
    s = f.readline()
    i = int(s.strip())
except IOError as (errno, strerror):
    print "I/O error({0}): {1}".format(errno, strerror)
except ValueError:
    print "Could not convert data to an integer."
except:
    print "Unexpected error:", sys.exc_info()[0]
    raise
msg119418 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-10-23 04:24
2.7 only (verified); 3.1 and 3.2 are fine.
msg122452 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-11-26 12:13
This is because the Python used to render doesn't recognize the new-style exception catching; this will be fine once the system is upgraded to 2.6.
History
Date User Action Args
2010-11-26 12:13:46georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg122452

resolution: later
2010-10-23 04:24:47terry.reedysetnosy: + terry.reedy
messages: + msg119418
2010-10-22 13:37:50wcyangcreate